Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.result
[Java] Interface ComponentSelectionReason

    @Incubating
    public interface ComponentSelectionReason

Answers the question why a component was selected during the dependency resolution.

Since:
  1.3

Method Summary
`String` | `getDescription()` Returns a human-consumable description of this selection reason.
`boolean` | `isConflictResolution()` Informs whether the component was selected by conflict resolution.
`boolean` | `isForced()` Informs whether the component was forced.
`boolean` | `isSelectedByRule()` Informs whether the component was selected by the dependency resolve rule.

Method Detail

### getDescription

    public String getDescription()

  Returns a human-consumable description of this selection reason.

### isConflictResolution

    public boolean isConflictResolution()

  Informs whether the component was selected by conflict resolution. For more information about Gradle's conflict resolution please refer to the user guide. ResolutionStrategy contains information about conflict resolution and includes means to configure it.

### isForced

    public boolean isForced()

  Informs whether the component was forced. Users can force components via ResolutionStrategy or when declaring dependencies (see DependencyHandler).

### isSelectedByRule

    public boolean isSelectedByRule()

  Informs whether the component was selected by the dependency resolve rule. Users can configure dependency resolve rules via ResolutionStrategy.eachDependency
  Since:
    1.4

Gradle API 1.10